Bug 1033115 - Build only passes if run as root, dues to a unit test which changes permissions for files to root group.
Summary: Build only passes if run as root, dues to a unit test which changes permissio...
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: gluster-hadoop
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact: hcfs-gluster-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-21 15:09 UTC by Jay Vyas
Modified: 2018-09-18 08:23 UTC (History)
8 users (show)

Fixed In Version: glusterfs-hadoop-2.3.2-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-18 08:23:15 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Jay Vyas 2013-11-21 15:09:15 UTC
Bug: 

We have a unit test for testGroupPermissions which assumes the build is running 
under root.
see class HcfsFileSystemTest.java , "testGroupOwnership", which sets ownership 
to from "daemon", and then to "root".  
** Its an important test **:  we must keep it, but fix it. If the test fails, 
then changing permissions , which is an important part of the job submission 
workflow in mapreduce

Suggested fix:  Choose a user which is available on most linux systems, that is 
less restrictive than "root" which can more flexibly be used to test that we 
can change permissions from inside the glusterfs-plugin.  Or, add the users to 
use in unit tests as new environmental variables. 

How reproducible: 100%. 

Workaround:  Run the build as root - in this case, chmod'ing always works, and 
simultaneously we still are able to validate that our ability to change group 
ownership is working properly.

Comment 1 Scott Haines 2013-12-04 16:41:40 UTC
Per 2013-12-04 bug triage meeting, re-assigning to jvyas.

Comment 2 Jay Vyas 2014-05-01 17:07:23 UTC
This is now fixed, with our unit testing updates.

You can see the patch which fixes this here : https://github.com/gluster/glusterfs-hadoop/pull/75/files

Comment 4 Ondřej Komárek 2014-08-28 14:58:11 UTC
The fix is odd to me - you said in BZ description, that testGroupOwnership is important test and we have to keep and fix it. But in the link from comment #2 I saw patch, which deletes the test method. Please explain this to me. Also, please provide me more info how to reproduce bug and how can be error recognized - there is lack information about it in description.

Comment 5 Jay Vyas 2014-08-28 16:03:52 UTC
youre right, its no longer a bug, because the build passes as non root.

However, we've lost the feature of testGroupOwnership. 

So ... We could keep this bug open, I think - until we can think of a way to write a unit test that confirms group ownership, which 

- will work on all systems., but also
- which doesn't require root.

Comment 6 Martin Kudlej 2014-09-01 12:50:27 UTC
I think that this bug is still not done according comment #5 so I think it should stay in Assigned state till devels will solve it. -->ASSIGNED

Comment 9 Amar Tumballi 2018-09-18 08:23:15 UTC
glusterfs-hadoop is not actively maintained!


Note You need to log in before you can comment on or make changes to this bug.